<?php
/*
 * Final submit after 3ds check
 */

require_once('../../../wp-load.php');

if( !session_id() )
{
    session_start();
}


global $woocommerce;
		
$papam = new WC_Papam_Gateway();        
$order = new WC_Order( $_GET['order_id'] );

$args = array();
if (isset($_POST['PaRes'])) {
    $args = array(
        "serialNumber" => $papam->publishable_key,
        "key" => $papam->private_key,
        "transactionRef" => $_GET['transaction_ref'],
        "pares" => $_POST['PaRes'],
        "md" => $_POST['MD'],
    );
}
else {
    $args = array(
        "serialNumber" => $papam->publishable_key,
        "key" => $papam->private_key,
        "transactionRef" => $_GET['transaction_ref'],
        "cres" => $_POST['cres']
    );
}
   
$response = wp_remote_post($papam->url.'/rest/payment/end3dsDebit', array(
    'method' => 'POST',
    'timeout' => 50,
    'blocking' => true,
    'sslverify' => false,
    'body' => $args,
));

$body = json_decode($response['body']);

// Si le statut est déjà à processing on ne fait rien (ex: retour arrière utilisateur)
if ($order->get_status() !== 'processing') {
    if ($body->ok==1) {
        $order->update_status('processing');
        $order->payment_complete();
        $order->reduce_order_stock();
        $woocommerce->cart->empty_cart();
    } else {
        $order->update_status('failed');
    }
}
wp_redirect($order->get_checkout_order_received_url());
exit;

?>
